Bug 1889459

Summary: last-namespace-name persists between logins
Product: OpenShift Container Platform Reporter: Chandler Wilkerson <cwilkers>
Component: Dev ConsoleAssignee: cvogt
Status: NEW --- QA Contact: Gajanan More <gamore>
Severity: low Docs Contact:
Priority: unspecified    
Version: 4.6CC: aballant, aos-bugs, nmukherj
Target Milestone: ---Keywords: UpcomingSprint
Target Release: 4.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Chandler Wilkerson 2020-10-19 17:51:52 UTC
Description of problem:
When switching between admin and dev accounts in the web console, last namespace used persists and causes errors to show in the dev view if the dev account lacks permissions to the last viewed namespace seen by the admin. 

Version-Release number of selected component (if applicable):
4.6.0

How reproducible:
Always

Steps to Reproduce:
1. Log in as admin, view, for instance, default or all-namespaces namespace
2. Log out and back in as developer account
3. Try to view resources from the left hand panel, e.g. Pods

Actual results:
Technical error page:

Restricted Access
You don't have access to this section due to cluster policy.
Danger alert:Error details
pods is forbidden: User "mydev" cannot list resource "pods" in API group "" in the namespace "default"

Expected results:

Redirection to first choose a namespace available to the user, or error message directing the user to choose a namespace first.

Additional info:

Comment 1 Andrew Ballantyne 2020-10-23 17:41:28 UTC
Jira tracking ticket for planning purposes: https://issues.redhat.com/browse/ODC-5043

Comment 2 Andrew Ballantyne 2021-01-13 18:32:37 UTC
Pushing to 4.8 as we lack the bandwidth to address in 4.7.